processCGH {snapCGH} | R Documentation

## Process data in an MAList

### Description

This function takes object of class `MAList` and it re-orderes and filters clones based on their mapping information and proportion missing. It also average duplicated clones and imputes missing values for clones that are still NA after the filetering step.

### Usage

    processCGH(input, maxChromThreshold = 22, minChromThreshold
                     = 1, method.of.averaging = NULL, ID = "ID")

### Arguments

`input` | Object of class `MAList` or `RGList`
`maxChromThreshold` | Chromosomes are ordered and numbered as usual, except for X and Y chromosome, which in for Homo sapiens genome have numbers 23 and 24 repsectivelly, in for Mus musculus 20 and 21, etc. Remove chromosomes from segmentation analysis which are greater than this value.
`minChromThreshold` | Chromosomes are ordered and numbered as usual, except for X and Y chromosome, which in for Homo sapiens genome have numbers 23 and 24 repsectivelly, in for Mus musculus 20 and 21, etc. Remove chromosomes from segmentation analysis which re lower than this value.
`method.of.averaging` | If left as the default no combining of replicate spots takes place. Other wise this should specify a function which takes a vector of duplicates and combines them into a single value.
`ID` | Name of column in `RG\$genes` corresponding to the clone names. For most data the default will work, however for affy data the value for ID should be `"CloneName"`

### Value

Object of class `SegList`

### Author(s)

Jane Fridlyand, Peter Dimitrov, John Marioni and Mike Smith

### See Also

`MAList`

[Package snapCGH version 1.2.0 Index]